(***********************************************************************)
(*                                                                     *)
(*                              OCamlGen                               *)
(*                                                                     *)
(*                       OCaml module Generator                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 1997-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: scanf_reader.mli,v 1.10 2014/01/31 09:51:52 fclement Exp $ *)

(* Runtime library for pretty-readers generated with OCamlGen. *)

type 'a reader = Scanf.Scanning.in_channel -> 'a;;

type 'a eta_reader = 'a reader -> Scanf.Scanning.in_channel -> 'a;;

type ('a, 'b) reader_lifter = 'a reader -> 'b reader;;

type ('a, 'b, 'c) reader_lifter2 = 'a reader -> 'b reader -> 'c reader;;

type ('a, 'b, 'c, 'd) reader_lifter3 =
  'a reader -> 'b reader -> 'c reader -> 'd reader
;;

type 'a t = 'a reader;;
